package Algorithmus;

import java.util.ArrayList;

public class ConcurrentModificationsException {

	public static void main(String[] args) {
		ArrayList<String> al = new ArrayList<>();
		al.add("A");
		al.add("B");
		al.add("C");
		al.add("D");

		for (int i = 0; i < al.size(); i++) {
			
			if (al.get(i).equals("A")) {
				al.remove(i);
			}
		}

	}

}

